Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Sun, 25 Nov 2018 09:24:13 +0100

>> This looks counter-intuitive unless we are also able to delete the
 >> minibuffer window.
 >
 > But the minibuffer window can't be deleted:

Yours ;-)

 > 0. emacs -Q
 > 1. M-:
 > 2. C-x o
 > 3. Type and eval in *scratch*: (delete-window (window-in-direction 'below))
 >
 > This error is signaled: "Attempt to delete minibuffer or sole ordinary window"

That's what the text you quoted above meant to say.  Recall that we
talk about a function called 'windmove-delete-in-direction'.  If
that function doesn't delete the window but aborts a recursive edit
instead then it misses its purpose OT1H and overkills OTOH.

 >> If it's active, presumably.  I'm not sure, but I wouldn't do that in a
 >> first version.  BTW, if you delete the window on the right frame
 >> border and want selection to move to the right, does it wrap around to
 >> the window on the left?
 >
 > Yes, it respects windmove-wrap-around.

OK.  The doc of 'windmove-wrap-around' should say that somewhere.

martin